#!/bin/bash
if [ -r $1.cdg ] 
then
  ## run cdg parser
  typeset -i lines=$(cat $1.cdg | wc -l)
  echo "load /opt/pkg/cdg/share/cdg/grammar/deutsch/deutsch.cdg" > $1.cdgscript
  echo "load $1.cdg" >> $1.cdgscript
  echo "set xml $1.prs" >> $1.cdgscript
  cat cdgtimelimit.txt >> $1.cdgscript; echo >> $1.cdgscript;
  i=1; while (test $i -le $lines) do 
	  echo frobbing s$i batch=yes; echo printparse; echo parsedelete; echo netdelete;
          i=$[i+1];
    done >> $1.cdgscript
  cat $1.cdgscript | cdgp -q
else
  echo Error: cannot read file $1.cdg - please specify filename without .cdg and make sure the file is readable.
fi
